package com.jachdev.consumerprotection.data;

import android.os.Parcel;
import android.os.Parcelable;

/**
 * Created by Charitha Ratnayake(charitha.r@eyepax.com) on 5/1/2022.
 */
public class Track implements Parcelable {

    private String trackName;   /* Track name*/
    private String artistName;  /* Artists name*/
    private String path;        /* File path */
    private long id;            /* ID used to trace the file */
    private String size;        /* File size  */
    private int duration;

    // Constructors
    public Track(){
        this.trackName = "Unknown";
        this.artistName = "Unknown";
    }

    public Track(String trackName,String artistName,String path){
        this.trackName = trackName;
        this.artistName = artistName;
        this.path = path;
        this.id = 0;
    }

    public String getTrackName() {
        return trackName;
    }

    public void setTrackName(String trackName) {
        this.trackName = trackName;
    }

    public String getArtistName() {
        return artistName;
    }

    public void setArtistName(String artistName) {
        this.artistName = artistName;
    }

    public String getPath() {
        return path;
    }

    public void setPath(String path) {
        this.path = path;
    }

    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getSize() {
        return size;
    }

    public void setSize(String size) {
        this.size = size;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    @Override
    public int describeContents() {
        return 0;
    }

    @Override
    public void writeToParcel(Parcel dest, int flags) {
        dest.writeString(this.trackName);
        dest.writeString(this.artistName);
        dest.writeString(this.path);
        dest.writeLong(this.id);
        dest.writeString(this.size);
        dest.writeInt(this.duration);
    }

    public void readFromParcel(Parcel source) {
        this.trackName = source.readString();
        this.artistName = source.readString();
        this.path = source.readString();
        this.id = source.readLong();
        this.size = source.readString();
        this.duration = source.readInt();
    }

    protected Track(Parcel in) {
        this.trackName = in.readString();
        this.artistName = in.readString();
        this.path = in.readString();
        this.id = in.readLong();
        this.size = in.readString();
        this.duration = in.readInt();
    }

    public static final Parcelable.Creator<Track> CREATOR = new Parcelable.Creator<Track>() {
        @Override
        public Track createFromParcel(Parcel source) {
            return new Track(source);
        }

        @Override
        public Track[] newArray(int size) {
            return new Track[size];
        }
    };
}
