package com.jachdev.consumerprotection.ui;

import android.content.Intent;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;

import com.google.android.material.bottomnavigation.BottomNavigationView;
import com.google.android.material.navigation.NavigationBarView;
import com.jachdev.commonlibs.base.BaseActivity;
import com.jachdev.consumerprotection.R;
import com.jachdev.consumerprotection.ui.alarm.AlarmFragment;
import com.jachdev.consumerprotection.ui.calories.CaloriesActivity;
import com.jachdev.consumerprotection.ui.camera.CameraActivity;
import com.jachdev.consumerprotection.ui.classifier.ClassifierActivity;
import com.jachdev.consumerprotection.ui.dashboard.DashboardFragment;
import com.jachdev.consumerprotection.ui.health.HealthFragment;
import com.jachdev.consumerprotection.ui.home.HomeFragment;
import com.jachdev.consumerprotection.ui.music.MusicFragment;
import com.jachdev.consumerprotection.ui.prediction.ComplaintsFragment;
import com.jachdev.consumerprotection.ui.prediction.ContactUsFragment;
import com.jachdev.consumerprotection.util.SessionManager;

import org.jetbrains.annotations.NotNull;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.navigation.NavController;
import androidx.navigation.NavDestination;
import androidx.navigation.Navigation;
import androidx.navigation.ui.AppBarConfiguration;
import androidx.navigation.ui.NavigationUI;
import butterknife.BindView;

public class HomeActivity extends BaseActivity implements HomeFragment.FragmentEventListener,
        HealthFragment.FragmentEventListener, MusicFragment.FragmentEventListener,
        AlarmFragment.FragmentEventListener {

    private static final String TAG = HomeActivity.class.getSimpleName();
    @BindView(R.id.nav_view)
    BottomNavigationView navigationView;

    @Override
    protected int layoutRes() {
        return R.layout.activity_home;
    }

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);

        startFragment(R.id.nav_host_fragment, HomeFragment.newInstance(), false);

        navigationView = findViewById(R.id.nav_view);
        navigationView.setOnItemSelectedListener(new NavigationBarView.OnItemSelectedListener() {
            @Override
            public boolean onNavigationItemSelected(@NonNull MenuItem item) {
                switch (item.getItemId()){
                    case R.id.navigation_home:
                        startFragment(R.id.nav_host_fragment, HomeFragment.newInstance(), false);
                    break;
                    case R.id.navigation_health:
                        startFragment(R.id.nav_host_fragment, HealthFragment.newInstance(), false);
                    break;
                    case R.id.navigation_music:
                        startFragment(R.id.nav_host_fragment, MusicFragment.newInstance(), false);
                    break;
                    case R.id.navigation_alarm:
                        startFragment(R.id.nav_host_fragment, AlarmFragment.newInstance(), false);
                    break;
                }
                return true;
            }
        });
    }

    @Override
    protected void onResume() {
        super.onResume();
    }

    @Override
    public boolean onCreateOptionsMenu(Menu menu) {
        getMenuInflater().inflate(R.menu.main_menu, menu);
        return super.onCreateOptionsMenu(menu);
    }

    @Override
    public boolean onOptionsItemSelected(@NonNull MenuItem item) {

        SessionManager.getInstance().logoutSession();

        activityToActivity(LoginActivity.class);
        HomeActivity.this.finish();

        return super.onOptionsItemSelected(item);
    }
}