package com.jachdev.consumerprotection.ui.alarm;

import android.content.Context;
import android.content.Intent;
import android.os.Bundle;
import android.view.View;

import com.jachdev.commonlibs.base.BaseFragment;
import com.jachdev.commonlibs.widget.CustomTextView;
import com.jachdev.consumerprotection.R;
import com.jachdev.consumerprotection.data.Track;
import com.jachdev.consumerprotection.ui.adapter.CommonAdaptor;
import com.jachdev.consumerprotection.ui.music.MusicSettingsActivity;
import com.jachdev.consumerprotection.ui.music.MusicViewModel;

import org.jetbrains.annotations.NotNull;

import java.util.ArrayList;
import java.util.List;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;
import androidx.lifecycle.Observer;
import androidx.lifecycle.ViewModelProvider;
import androidx.recyclerview.widget.LinearLayoutManager;
import androidx.recyclerview.widget.RecyclerView;
import butterknife.BindView;
import butterknife.OnClick;

public class AlarmFragment extends BaseFragment {

    private FragmentEventListener listener;

    public static Fragment newInstance() {
        AlarmFragment fragment = new AlarmFragment();
        Bundle bundle = new Bundle();
        fragment.setArguments(bundle);
        return fragment;
    }

    @Override
    protected int layoutRes() {
        return R.layout.fragment_alarm;
    }

    @Override
    public void onViewCreated(@NonNull @NotNull View view, @Nullable @org.jetbrains.annotations.Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        init();
    }

    @Override
    public void onResume() {
        super.onResume();
    }

    @Override
    public void onAttach(Context context) {
        super.onAttach(context);

        listener = (FragmentEventListener) context;
    }

    @OnClick({R.id.btnAddAlarm})
    public void onAddAlarmClick(){
        startActivity(new Intent(getBaseActivity(), AddAlarmActivity.class));
    }

    @OnClick({R.id.btnBedInTime})
    public void onBedInTime(){
        Intent intent = new Intent(getBaseActivity(), SleepingProgressActivity.class);

        Bundle bundle = new Bundle();
        bundle.putInt(SleepingProgressActivity.KEY_TITLE, R.string.weekly_progress_of_bed_in_time);
        intent.putExtras(bundle);

        startActivity(intent);
    }

    @OnClick({R.id.btnFallenSleep})
    public void onFallenSleep(){
        Intent intent = new Intent(getBaseActivity(), SleepingProgressActivity.class);

        Bundle bundle = new Bundle();
        bundle.putInt(SleepingProgressActivity.KEY_TITLE, R.string.weekly_progress_of_fallen_sleep_time);
        intent.putExtras(bundle);

        startActivity(intent);
    }

    @OnClick({R.id.btnWeeklyProgress})
    public void onWeeklyProgress(){
        Intent intent = new Intent(getBaseActivity(), SleepingProgressActivity.class);

        Bundle bundle = new Bundle();
        bundle.putInt(SleepingProgressActivity.KEY_TITLE, R.string.weekly_progress_sleep);
        intent.putExtras(bundle);

        startActivity(intent);
    }

    @OnClick({R.id.btnMeetDoctor})
    public void onMeetDoctor(){

    }

    private void observerData() {
    }

    private void init() {

        getBaseActivity().setTitle(getString(R.string.sleeping_prediction));
    }

    public interface FragmentEventListener{
    }
}